package com.vp.plugin.sample.showmessage.actions;

import java.awt.*;

import javax.swing.*;

import com.vp.plugin.*;
import com.vp.plugin.action.*;
import com.vp.plugin.sample.showmessage.*;

public class ShowMessagePaneActionController implements VPActionController {
	
	private Component _component;
	
	public void performAction(VPAction aAction) {
		if (_component == null) {
			JComponent component = new JComponent() {
				protected void paintComponent(Graphics g) {
					super.paintComponent(g);
					
					int l = Math.min(this.getWidth(), this.getHeight());
					
					g.fillOval(l/5, l/5, l/5, l/5*2);
					g.fillOval(l/5*3, l/5, l/5, l/5*2);
					g.drawOval(0, 0, l, l);
				}
			};
			JPanel pane = new JPanel(new GridLayout(2, 2));
			pane.add(component);
			pane.add(new JScrollPane(new JList(new String[] {"1", "2", "3"})));
			pane.add(new JButton("OK"));
			_component = pane;
			
			ApplicationManager.instance().getViewManager().showMessagePaneComponent(ShowMessagePanePlugin.PLUGIN_ID+"MyPane1", "My Message Pane", _component);
		}
		else {
			ApplicationManager.instance().getViewManager().showMessagePaneComponent(ShowMessagePanePlugin.PLUGIN_ID+"MyPane1");
		}
	}
	
	public void update(VPAction aAction) {
	}
}